Mantis Bugtracker          
testlink.org

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002592TestLinkAPI - XMLRPCpublic2009-06-09 16:112010-08-31 20:26
ReporterJaskaJ 
Assigned Tofman 
PrioritynormalSeveritymajorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.8.2 
Fixed in Version1.9 Beta 6 
Summary0002592: TL API crash when there are special charecters in test project/test plan/test case/build name
DescriptionWhen there are special characters like 'ä' and 'ö' in test project's, test plan's, test case's or build's name parsing problems occur when using TL API. The invalid characters cause the XML transformed by XML-RPC to be malformed. Character 'ä' is E4 in hex when it's transferred with TL API to Python client.

The problem can also be reproduced with gallio-testlink-adapter that uses XML-RPC.NET library.
Additional Information1. Create a new test project called "Invalid chars öä".
2. Use Python example script provided in attachment file "ApiTest.py". (edit your own TL server address and DevKey to the script).
3. Run the Python script.
TagsNo tags attached.
Database (MySQL,Postgres,etc)
Browser
PHP VersionPHP Version 5.2.8
TestCaseID
QA Team - Task Workflow Status
Attached Files? file icon ApiTest.py [^] (256 bytes) 2009-06-09 16:11

- Relationships
has duplicate 0003589closedfman TL API - testlink xml-rpc could not transfer UTF-8 character correctly? 

-  Notes
(0011051)
fman (administrator)
2010-08-31 20:26

Release BETA 6 - 20100831

- Issue History
Date Modified Username Field Change
2009-06-09 16:11 JaskaJ New Issue
2009-06-09 16:11 JaskaJ File Added: ApiTest.py
2009-06-09 16:11 JaskaJ PHP Version => PHP Version 5.2.8
2009-06-10 03:28 fman Status new => assigned
2009-06-10 03:28 fman Assigned To => fman
2009-12-07 02:55 mhavlat Severity crash => major
2010-07-11 17:21 fman Relationship added has duplicate 0003589
2010-08-21 12:03 fman Status assigned => resolved
2010-08-21 12:03 fman Fixed in Version => 1.9 Beta 6
2010-08-21 12:03 fman Resolution open => fixed
2010-08-31 20:26 fman Note Added: 0011051
2010-08-31 20:26 fman Status resolved => closed
2013-04-25 17:30 fman Category TL API => XMLRPC API
2013-04-25 17:30 fman Category XMLRPC API => API - XMLRPC



Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker